diff --git a/src/main/java/net/minecraft/client/gui/hud/IngameHud.java b/src/main/java/net/minecraft/client/gui/hud/HudIngame.java
similarity index 98%
rename from src/main/java/net/minecraft/client/gui/hud/IngameHud.java
rename to src/main/java/net/minecraft/client/gui/hud/HudIngame.java
index 6c6ab960a..bb33b137b 100644
--- a/src/main/java/net/minecraft/client/gui/hud/IngameHud.java
+++ b/src/main/java/net/minecraft/client/gui/hud/HudIngame.java
@@ -10,13 +10,13 @@ import java.util.List;
 import java.util.Map;
 
 import com.mojang.logging.LogUtils;
-import net.minecraft.client.entity.player.MultiplayerLocalPlayer;
-import net.minecraft.client.gui.chat.ChatScreen;
+import net.minecraft.client.entity.player.PlayerLocalMultiplayer;
+import net.minecraft.client.gui.chat.ScreenChat;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.HeldItemTooltipElement;
-import net.minecraft.client.gui.PhotoModeScreen;
+import net.minecraft.client.gui.ScreenPhotoMode;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
-import net.minecraft.core.block.PortalBlock;
+import net.minecraft.core.block.BlockPortal;
 import net.minecraft.core.enums.ChatVisibility;
 import net.minecraft.core.item.IArmorItem;
 import net.minecraft.core.util.helper.Direction;
@@ -28,7 +28,7 @@ import net.minecraft.client.gui.hud.component.HudComponents;
 import net.minecraft.client.render.Font;
 import net.minecraft.client.render.Lighting;
 import net.minecraft.client.render.dynamictexture.DynamicTexture;
-import net.minecraft.client.render.entity.ItemEntityRenderer;
+import net.minecraft.client.render.entity.EntityRendererItem;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
 import net.minecraft.client.render.terrain.RenderList;
 import net.minecraft.client.render.terrain.RenderRegion;
@@ -57,13 +57,13 @@ import net.minecraft.core.world.weather.Weather;
 import net.minecraft.core.world.wind.WindProvider;
 import org.slf4j.Logger;
 
-public class IngameHud extends Gui
+public class HudIngame extends Gui
 {
     public static final float DEBUG_SCALE = 0.75f;
     private static final Logger LOGGER = LogUtils.getLogger();
     public static final Direction[] directions = new Direction[]{Direction.NORTH, Direction.EAST, Direction.SOUTH, Direction.WEST};
 
-    public static ItemEntityRenderer itemRenderer = new ItemEntityRenderer();
+    public static EntityRendererItem itemRenderer = new EntityRendererItem();
     private final List<ChatLine> chatMessageList = new ArrayList<>();
     protected Minecraft mc;
     public int updateCounter = 0;
@@ -77,7 +77,7 @@ public class IngameHud extends Gui
 
     public final HeldItemTooltipElement heldItemTooltipElement;
 
-    public IngameHud(Minecraft minecraft)
+    public HudIngame(Minecraft minecraft)
     {
         this.mc = minecraft;
         this.font = mc.font;
@@ -86,7 +86,7 @@ public class IngameHud extends Gui
 
     public void renderGameOverlay(float partialTicks, boolean flag, int mouseX, int mouseY)
     {
-        if (mc.currentScreen instanceof PhotoModeScreen) return;
+        if (mc.currentScreen instanceof ScreenPhotoMode) return;
 
         I18n stringtranslate = I18n.getInstance();
         int width = mc.resolution.getScaledWidthScreenCoords();
@@ -699,9 +699,9 @@ public class IngameHud extends Gui
         }
         if (!mc.gameSettings.showPlayerList.value) return;
 
-        if (!(mc.thePlayer instanceof MultiplayerLocalPlayer)) return;
+        if (!(mc.thePlayer instanceof PlayerLocalMultiplayer)) return;
 
-        MultiplayerLocalPlayer player = (MultiplayerLocalPlayer) mc.thePlayer;
+        PlayerLocalMultiplayer player = (PlayerLocalMultiplayer) mc.thePlayer;
         HashMap<String, String> players = player.sendQueue.playerList;
 
 //		List<PlayerProfile> players = new ArrayList<>();
@@ -806,7 +806,7 @@ public class IngameHud extends Gui
         if (mc.gameSettings.chatVisibility.value == ChatVisibility.NEVER_SHOW) return;
         int messagesToShow = 10;
         boolean ignoreFadeout = false;
-        if (mc.currentScreen instanceof ChatScreen)
+        if (mc.currentScreen instanceof ScreenChat)
         {
             int acceptableSize = height - 48 - 48;
             messagesToShow = acceptableSize / 9;
@@ -944,7 +944,7 @@ public class IngameHud extends Gui
         GL11.glDepthMask(false);
         GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
         GL11.glColor4f(1.0F, 1.0F, 1.0F, intensity);
-        IconCoordinate portal = BlockModelDispatcher.getInstance().getDispatch(Block.getBlock(mc.thePlayer.portalID)).getBlockTextureFromSideAndMetadata(Side.NORTH, mc.thePlayer.portalColor.blockMeta << 4 | PortalBlock.MASK_COLOR_SET);
+        IconCoordinate portal = BlockModelDispatcher.getInstance().getDispatch(Block.getBlock(mc.thePlayer.portalID)).getBlockTextureFromSideAndMetadata(Side.NORTH, mc.thePlayer.portalColor.blockMeta << 4 | BlockPortal.MASK_COLOR_SET);
         portal.parentAtlas.bind();
         float f1 = (float) portal.getIconUMin();
         float f2 = (float) portal.getIconVMin();
diff --git a/src/main/java/net/minecraft/client/gui/hud/DoomIngameHud.java b/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java
similarity index 97%
rename from src/main/java/net/minecraft/client/gui/hud/DoomIngameHud.java
rename to src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java
index b294dcc49..38b191ee7 100644
--- a/src/main/java/net/minecraft/client/gui/hud/DoomIngameHud.java
+++ b/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java
@@ -1,20 +1,19 @@
 package net.minecraft.client.gui.hud;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.gui.PhotoModeScreen;
+import net.minecraft.client.gui.ScreenPhotoMode;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.item.IArmorItem;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.net.command.TextFormatting;
-import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.opengl.GL11;
 
 import java.util.ArrayList;
 import java.util.List;
 
-public class DoomIngameHud
-    extends IngameHud
+public class HudIngameDoom
+    extends HudIngame
 {
     private static final int[] NUMBER_WIDTHS = {
             9, 7, 9, 9, 11, 9, 9, 9, 9, 9
@@ -23,14 +22,14 @@ public class DoomIngameHud
             0, 9, 16, 25, 34, 45, 54, 63, 72, 81
     };
 
-    public DoomIngameHud(Minecraft minecraft) {
+    public HudIngameDoom(Minecraft minecraft) {
         super(minecraft);
     }
 
     @Override
     public void renderGameOverlay(float partialTicks, boolean flag, int mouseX, int mouseY)
     {
-        if (mc.currentScreen instanceof PhotoModeScreen) return;
+        if (mc.currentScreen instanceof ScreenPhotoMode) return;
 
         int width = mc.resolution.getScaledWidthScreenCoords();
         int height = mc.resolution.getScaledHeightScreenCoords();
diff --git a/src/main/java/net/minecraft/client/gui/hud/component/SubtitleComponent.java b/src/main/java/net/minecraft/client/gui/hud/component/HubComponentSubtitles.java
similarity index 94%
rename from src/main/java/net/minecraft/client/gui/hud/component/SubtitleComponent.java
rename to src/main/java/net/minecraft/client/gui/hud/component/HubComponentSubtitles.java
index c85a939f9..ae7c390f9 100644
--- a/src/main/java/net/minecraft/client/gui/hud/component/SubtitleComponent.java
+++ b/src/main/java/net/minecraft/client/gui/hud/component/HubComponentSubtitles.java
@@ -2,7 +2,7 @@ package net.minecraft.client.gui.hud.component;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
-import net.minecraft.client.gui.hud.IngameHud;
+import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
 import net.minecraft.client.gui.subtitles.SubtitleTracker;
 import net.minecraft.client.sound.SoundRepository;
@@ -16,8 +16,8 @@ import static org.lwjgl.opengl.GL11.GL_BLEND;
 import static org.lwjgl.opengl.GL11.GL_ONE_MINUS_SRC_ALPHA;
 import static org.lwjgl.opengl.GL11.GL_SRC_ALPHA;
 
-public class SubtitleComponent extends MovableHudComponent{
-    public SubtitleComponent(String key, int xSize, int ySize, Layout layout) {
+public class HubComponentSubtitles extends HudComponentMovable {
+    public HubComponentSubtitles(String key, int xSize, int ySize, Layout layout) {
         super(key, xSize, ySize, layout);
     }
 
@@ -27,7 +27,7 @@ public class SubtitleComponent extends MovableHudComponent{
     }
 
     @Override
-    public void render(Minecraft mc, IngameHud hud, int xSizeScreen, int ySizeScreen, float partialTick) {
+    public void render(Minecraft mc, HudIngame hud, int xSizeScreen, int ySizeScreen, float partialTick) {
         drawChat(mc, hud, new ArrayList<>(mc.subtitleTracker.entryMap.values()), xSizeScreen, ySizeScreen, partialTick);
     }
 
diff --git a/src/main/java/net/minecraft/client/gui/hud/component/HudComponent.java b/src/main/java/net/minecraft/client/gui/hud/component/HudComponent.java
index e461591ee..d7c10821e 100644
--- a/src/main/java/net/minecraft/client/gui/hud/component/HudComponent.java
+++ b/src/main/java/net/minecraft/client/gui/hud/component/HudComponent.java
@@ -2,11 +2,11 @@ package net.minecraft.client.gui.hud.component;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
-import net.minecraft.client.gui.HudDesignerScreen;
-import net.minecraft.client.gui.hud.IngameHud;
-import net.minecraft.client.gui.hud.component.layout.AbsoluteLayout;
+import net.minecraft.client.gui.ScreenHudDesigner;
+import net.minecraft.client.gui.hud.HudIngame;
+import net.minecraft.client.gui.hud.component.layout.LayoutAbsolute;
 import net.minecraft.client.gui.hud.component.layout.Layout;
-import net.minecraft.client.gui.hud.component.layout.SnapLayout;
+import net.minecraft.client.gui.hud.component.layout.LayoutSnap;
 
 public abstract class HudComponent {
     private final String key;
@@ -29,12 +29,12 @@ public abstract class HudComponent {
     }
 
     public int getXSize(Minecraft mc) {
-        if (!(mc.currentScreen instanceof HudDesignerScreen) && !isVisible(mc)) return 0;
+        if (!(mc.currentScreen instanceof ScreenHudDesigner) && !isVisible(mc)) return 0;
         return xSize;
     }
 
     public int getYSize(Minecraft mc) {
-        if (!(mc.currentScreen instanceof HudDesignerScreen) && !isVisible(mc)) return 0;
+        if (!(mc.currentScreen instanceof ScreenHudDesigner) && !isVisible(mc)) return 0;
         return ySize;
     }
 
@@ -50,15 +50,15 @@ public abstract class HudComponent {
         return layout;
     }
 
-    public abstract void render(Minecraft mc, IngameHud hud, int xSizeScreen, int ySizeScreen, float partialTick);
+    public abstract void render(Minecraft mc, HudIngame hud, int xSizeScreen, int ySizeScreen, float partialTick);
 
     public abstract void renderPreview(Minecraft mc, Gui gui, Layout layout, int xSizeScreen, int ySizeScreen);
 
     public final String toSettingsString() {
         String layoutString;
-        if (layout instanceof AbsoluteLayout) {
+        if (layout instanceof LayoutAbsolute) {
             layoutString = "abs";
-        } else if (layout instanceof SnapLayout) {
+        } else if (layout instanceof LayoutSnap) {
             layoutString = "snap";
         } else {
             throw new RuntimeException("Unknown layout type: " + layout.getClass().getName());
@@ -73,9 +73,9 @@ public abstract class HudComponent {
         String layoutString = parts[1].substring(0, parts[1].indexOf('['));
         String layoutSettings = parts[1].substring(parts[1].indexOf('[') + 1, parts[1].length() - 1);
         if (layoutString.equals("abs")) {
-            layout = new AbsoluteLayout(0, 0, ComponentAnchor.TOP_LEFT);
+            layout = new LayoutAbsolute(0, 0, ComponentAnchor.TOP_LEFT);
         } else if (layoutString.equals("snap")) {
-            layout = new SnapLayout(null, ComponentAnchor.TOP_LEFT, ComponentAnchor.TOP_LEFT);
+            layout = new LayoutSnap(null, ComponentAnchor.TOP_LEFT, ComponentAnchor.TOP_LEFT);
         } else {
             throw new RuntimeException("Unknown layout type: " + layoutString);
         }
diff --git a/src/main/java/net/minecraft/client/gui/hud/component/ArmorBarComponent.java b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java
similarity index 92%
rename from src/main/java/net/minecraft/client/gui/hud/component/ArmorBarComponent.java
rename to src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java
index ec4a3fe79..bc0e9d198 100644
--- a/src/main/java/net/minecraft/client/gui/hud/component/ArmorBarComponent.java
+++ b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java
@@ -2,18 +2,18 @@ package net.minecraft.client.gui.hud.component;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
-import net.minecraft.client.gui.hud.IngameHud;
+import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import org.lwjgl.opengl.GL11;
 
-public class ArmorBarComponent
-    extends MovableHudComponent {
+public class HudComponentArmorBar
+    extends HudComponentMovable {
     private final IconCoordinate armor_empty;
     private final IconCoordinate armor_half;
     private final IconCoordinate armor_full;
-    public ArmorBarComponent(String key, Layout layout) {
+    public HudComponentArmorBar(String key, Layout layout) {
         super(key, 81, 10, layout);
         armor_empty = TextureRegistry.getTexture("minecraft:gui/hud/armor_empty");
         armor_half = TextureRegistry.getTexture("minecraft:gui/hud/armor_half");
@@ -26,7 +26,7 @@ public class ArmorBarComponent
     }
 
     @Override
-    public void render(Minecraft mc, IngameHud hud, int xSizeScreen, int ySizeScreen, float partialTick) {
+    public void render(Minecraft mc, HudIngame hud, int xSizeScreen, int ySizeScreen, float partialTick) {
         int x = this.getLayout().getComponentX(mc, this, xSizeScreen);
         int y = this.getLayout().getComponentY(mc, this, ySizeScreen);
 
diff --git a/src/main/java/net/minecraft/client/gui/hud/component/CrosshairComponent.java b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentCrosshair.java
similarity index 88%
rename from src/main/java/net/minecraft/client/gui/hud/component/CrosshairComponent.java
rename to src/main/java/net/minecraft/client/gui/hud/component/HudComponentCrosshair.java
index f3fd3d68a..58fa0ec12 100644
--- a/src/main/java/net/minecraft/client/gui/hud/component/CrosshairComponent.java
+++ b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentCrosshair.java
@@ -2,14 +2,14 @@ package net.minecraft.client.gui.hud.component;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
-import net.minecraft.client.gui.hud.IngameHud;
+import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import org.lwjgl.opengl.GL11;
 
-public class CrosshairComponent
+public class HudComponentCrosshair
     extends HudComponent {
-    public CrosshairComponent(String key, Layout layout) {
+    public HudComponentCrosshair(String key, Layout layout) {
         super(key, 15, 15, layout);
     }
 
@@ -19,7 +19,7 @@ public class CrosshairComponent
     }
 
     @Override
-    public void render(Minecraft mc, IngameHud hud, int xSizeScreen, int ySizeScreen, float partialTick) {
+    public void render(Minecraft mc, HudIngame hud, int xSizeScreen, int ySizeScreen, float partialTick) {
         int x = this.getLayout().getComponentX(mc, this, xSizeScreen);
         int y = this.getLayout().getComponentY(mc, this, ySizeScreen);
 
diff --git a/src/main/java/net/minecraft/client/gui/hud/component/FireBarComponent.java b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentFireBar.java
similarity index 88%
rename from src/main/java/net/minecraft/client/gui/hud/component/FireBarComponent.java
rename to src/main/java/net/minecraft/client/gui/hud/component/HudComponentFireBar.java
index 2969466bf..0bcc236f2 100644
--- a/src/main/java/net/minecraft/client/gui/hud/component/FireBarComponent.java
+++ b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentFireBar.java
@@ -2,14 +2,14 @@ package net.minecraft.client.gui.hud.component;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
-import net.minecraft.client.gui.hud.IngameHud;
+import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import org.lwjgl.opengl.GL11;
 
-public class FireBarComponent
-    extends MovableHudComponent {
-    public FireBarComponent(String key, Layout layout) {
+public class HudComponentFireBar
+    extends HudComponentMovable {
+    public HudComponentFireBar(String key, Layout layout) {
         super(key, 81, 10, layout);
     }
 
@@ -19,7 +19,7 @@ public class FireBarComponent
     }
 
     @Override
-    public void render(Minecraft mc, IngameHud hud, int xSizeScreen, int ySizeScreen, float partialTick) {
+    public void render(Minecraft mc, HudIngame hud, int xSizeScreen, int ySizeScreen, float partialTick) {
         int x = this.getLayout().getComponentX(mc, this, xSizeScreen);
         int y = this.getLayout().getComponentY(mc, this, ySizeScreen);
 
diff --git a/src/main/java/net/minecraft/client/gui/hud/component/HealthBarComponent.java b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java
similarity index 89%
rename from src/main/java/net/minecraft/client/gui/hud/component/HealthBarComponent.java
rename to src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java
index 0933e1d16..cf78683eb 100644
--- a/src/main/java/net/minecraft/client/gui/hud/component/HealthBarComponent.java
+++ b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java
@@ -2,21 +2,21 @@ package net.minecraft.client.gui.hud.component;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
-import net.minecraft.client.gui.hud.IngameHud;
+import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
-import net.minecraft.core.item.IceCreamBucketItem;
-import net.minecraft.core.item.FoodItem;
+import net.minecraft.core.item.ItemBucketIceCream;
+import net.minecraft.core.item.ItemFood;
 import net.minecraft.core.player.gamemode.Gamemode;
 import org.lwjgl.opengl.GL11;
 
 import java.util.Random;
 
-public class HealthBarComponent
-    extends MovableHudComponent {
+public class HudComponentHealthBar
+    extends HudComponentMovable {
     private final Random random = new Random();
 
-    public HealthBarComponent(String key, Layout layout) {
+    public HudComponentHealthBar(String key, Layout layout) {
         super(key, 81, 10, layout);
     }
 
@@ -26,7 +26,7 @@ public class HealthBarComponent
     }
 
     @Override
-    public void render(Minecraft mc, IngameHud hud, int xSizeScreen, int ySizeScreen, float partialTick) {
+    public void render(Minecraft mc, HudIngame hud, int xSizeScreen, int ySizeScreen, float partialTick) {
         int x = this.getLayout().getComponentX(mc, this, xSizeScreen);
         int y = this.getLayout().getComponentY(mc, this, ySizeScreen);
 
@@ -81,16 +81,16 @@ public class HealthBarComponent
                 // Half heart icon
                 hud.drawGuiIcon(xHeart, yHeart, 9, 9, TextureRegistry.getTexture("minecraft:gui/hud/heart/" + (isHardcore ? "hardcore_" : "") + "half"));
             }
-            if (mc.thePlayer.inventory.getCurrentItem() != null && (mc.thePlayer.inventory.getCurrentItem().getItem() instanceof FoodItem || mc.thePlayer.inventory.getCurrentItem().getItem() instanceof IceCreamBucketItem) && mc.gameSettings.foodHealthRegenOverlay.value)
+            if (mc.thePlayer.inventory.getCurrentItem() != null && (mc.thePlayer.inventory.getCurrentItem().getItem() instanceof ItemFood || mc.thePlayer.inventory.getCurrentItem().getItem() instanceof ItemBucketIceCream) && mc.gameSettings.foodHealthRegenOverlay.value)
             {
                 int healing = 0;
-                if (mc.thePlayer.inventory.getCurrentItem().getItem() instanceof FoodItem)
+                if (mc.thePlayer.inventory.getCurrentItem().getItem() instanceof ItemFood)
                 {
-                    healing = ((FoodItem) mc.thePlayer.inventory.getCurrentItem().getItem()).getHealAmount();
+                    healing = ((ItemFood) mc.thePlayer.inventory.getCurrentItem().getItem()).getHealAmount();
                 }
                 else
                 {
-                    healing = ((IceCreamBucketItem) mc.thePlayer.inventory.getCurrentItem().getItem()).getHealAmount();
+                    healing = ((ItemBucketIceCream) mc.thePlayer.inventory.getCurrentItem().getItem()).getHealAmount();
                 }
 
                 if (i * 2 + 1 >= health)
diff --git a/src/main/java/net/minecraft/client/gui/hud/component/HotbarComponent.java b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHotbar.java
similarity index 95%
rename from src/main/java/net/minecraft/client/gui/hud/component/HotbarComponent.java
rename to src/main/java/net/minecraft/client/gui/hud/component/HudComponentHotbar.java
index 1d01f23ce..76ff3117a 100644
--- a/src/main/java/net/minecraft/client/gui/hud/component/HotbarComponent.java
+++ b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHotbar.java
@@ -2,7 +2,7 @@ package net.minecraft.client.gui.hud.component;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
-import net.minecraft.client.gui.hud.IngameHud;
+import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
 import net.minecraft.client.render.Lighting;
 import net.minecraft.client.render.Scissor;
@@ -13,12 +13,12 @@ import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.player.inventory.container.Inventory;
+import net.minecraft.core.player.inventory.container.ContainerInventory;
 import org.lwjgl.opengl.GL11;
 import org.lwjgl.opengl.GL12;
 
-public class HotbarComponent
-    extends MovableHudComponent {
+public class HudComponentHotbar
+    extends HudComponentMovable {
     private static final ItemStack[] PREVIEW_ITEMS = new ItemStack[] {
         new ItemStack(Blocks.STONE),
         new ItemStack(Blocks.COBBLE_STONE),
@@ -31,7 +31,7 @@ public class HotbarComponent
         new ItemStack(Blocks.SLAB_STONE_POLISHED)
     };
 
-    public HotbarComponent(String key, Layout layout) {
+    public HudComponentHotbar(String key, Layout layout) {
         super(key, 187, 22, layout);
     }
 
@@ -52,11 +52,11 @@ public class HotbarComponent
     }
 
     @Override
-    public void render(Minecraft mc, IngameHud hud, int xSizeScreen, int ySizeScreen, float partialTick) {
+    public void render(Minecraft mc, HudIngame hud, int xSizeScreen, int ySizeScreen, float partialTick) {
         int x = this.getLayout().getComponentX(mc, this, xSizeScreen);
         int y = this.getLayout().getComponentY(mc, this, ySizeScreen);
 
-        Inventory inv = mc.thePlayer.inventory;
+        ContainerInventory inv = mc.thePlayer.inventory;
 
         // Setup hotbar texture
         GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
diff --git a/src/main/java/net/minecraft/client/gui/hud/component/MovableHudComponent.java b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentMovable.java
similarity index 72%
rename from src/main/java/net/minecraft/client/gui/hud/component/MovableHudComponent.java
rename to src/main/java/net/minecraft/client/gui/hud/component/HudComponentMovable.java
index f22ce9bfa..56b6fcf29 100644
--- a/src/main/java/net/minecraft/client/gui/hud/component/MovableHudComponent.java
+++ b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentMovable.java
@@ -2,9 +2,9 @@ package net.minecraft.client.gui.hud.component;
 
 import net.minecraft.client.gui.hud.component.layout.Layout;
 
-public abstract class MovableHudComponent
+public abstract class HudComponentMovable
     extends HudComponent {
-    public MovableHudComponent(String key, int xSize, int ySize, Layout layout) {
+    public HudComponentMovable(String key, int xSize, int ySize, Layout layout) {
         super(key, xSize, ySize, layout);
     }
 
diff --git a/src/main/java/net/minecraft/client/gui/hud/component/OxygenBarComponent.java b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentOxygenBar.java
similarity index 91%
rename from src/main/java/net/minecraft/client/gui/hud/component/OxygenBarComponent.java
rename to src/main/java/net/minecraft/client/gui/hud/component/HudComponentOxygenBar.java
index cdd55a32f..e100af5b8 100644
--- a/src/main/java/net/minecraft/client/gui/hud/component/OxygenBarComponent.java
+++ b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentOxygenBar.java
@@ -2,18 +2,18 @@ package net.minecraft.client.gui.hud.component;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
-import net.minecraft.client.gui.hud.IngameHud;
+import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.material.Material;
 import org.lwjgl.opengl.GL11;
 
-public class OxygenBarComponent
-    extends MovableHudComponent {
+public class HudComponentOxygenBar
+    extends HudComponentMovable {
     private final IconCoordinate air;
     private final IconCoordinate air_pop;
-    public OxygenBarComponent(String key, Layout layout) {
+    public HudComponentOxygenBar(String key, Layout layout) {
         super(key, 81, 10, layout);
         air = TextureRegistry.getTexture("minecraft:gui/hud/air");
         air_pop = TextureRegistry.getTexture("minecraft:gui/hud/air_pop");
@@ -25,7 +25,7 @@ public class OxygenBarComponent
     }
 
     @Override
-    public void render(Minecraft mc, IngameHud hud, int xSizeScreen, int ySizeScreen, float partialTick) {
+    public void render(Minecraft mc, HudIngame hud, int xSizeScreen, int ySizeScreen, float partialTick) {
         int x = this.getLayout().getComponentX(mc, this, xSizeScreen);
         int y = this.getLayout().getComponentY(mc, this, ySizeScreen);
 
diff --git a/src/main/java/net/minecraft/client/gui/hud/component/RotationLockComponent.java b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentRotationLock.java
similarity index 93%
rename from src/main/java/net/minecraft/client/gui/hud/component/RotationLockComponent.java
rename to src/main/java/net/minecraft/client/gui/hud/component/HudComponentRotationLock.java
index e82b1dcbf..654d26164 100644
--- a/src/main/java/net/minecraft/client/gui/hud/component/RotationLockComponent.java
+++ b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentRotationLock.java
@@ -2,16 +2,16 @@ package net.minecraft.client.gui.hud.component;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
-import net.minecraft.client.gui.hud.IngameHud;
+import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.util.helper.Direction;
 import org.lwjgl.opengl.GL11;
 
-public class RotationLockComponent
-    extends MovableHudComponent {
-    public RotationLockComponent(String key, Layout layout) {
+public class HudComponentRotationLock
+    extends HudComponentMovable {
+    public HudComponentRotationLock(String key, Layout layout) {
         super(key, 24, 16, layout);
     }
 
@@ -21,7 +21,7 @@ public class RotationLockComponent
     }
 
     @Override
-    public void render(Minecraft mc, IngameHud hud, int xSizeScreen, int ySizeScreen, float partialTick) {
+    public void render(Minecraft mc, HudIngame hud, int xSizeScreen, int ySizeScreen, float partialTick) {
         // Setup rendering
         GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
         GL11.glDisable(GL11.GL_BLEND);
